Bug 143682 - Updates for IPv4/v6 address ranges and TLDs for jwhois
Updates for IPv4/v6 address ranges and TLDs for jwhois
Product: Fedora
Classification: Fedora
Component: jwhois (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Depends On:
  Show dependency treegraph
Reported: 2004-12-23 18:52 EST by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.2.2-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-02 17:48:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
jwhois-3.2.2-update_2004.patch (2.53 KB, patch)
2004-12-23 18:53 EST, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-12-23 18:52:24 EST
Description of problem:
jwhois currently doesn't handle the latest IP address assignments 
correct and never heard something about RIRs at IPv6. The .pro whois
server doesn't also work. And the 223/8 range is owned by IANA.

Version-Release number of selected component (if applicable):

Actual results:
I hacked out the changes which are working for me (especially at the
IPv6 part), because jwhois isn't able to handle IPv6 CIDRs :-(

Expected results:
Applying of the attached patch - I guess upstream doesn't also 
respond as it was already the case at the IDN stuff (see jwhois 
idn bugs)... ;-)
Comment 1 Robert Scheck 2004-12-23 18:53:17 EST
Created attachment 109102 [details]
Comment 3 Miloslav Trmač 2005-01-02 17:48:53 EST
Thanks for the patch!

I have omitted the {59..60,83..88}.0.0.0/8 additions because
the automatic redirections work fine (like #116423), the
rest is in jwhois-3.2.2-9.

(Please send the patch upstream nevertheless.)
Thanks again.

Note You need to log in before you can comment on or make changes to this bug.